local folder, core = ...
local L = core.L or LibStub("AceLocale-3.0"):GetLocale(folder, true)

core.CoreOptionsTable = {
	name = core.titleFull,
	type = "group",
	childGroups = "tab",

	args = {
		core={
			name = L["Core"],
			type = "group",
			order = 1,
			args={
			
				enable = {
					type = "toggle",	order	= 1,
					name	= L["Enable"],
					desc	= L["Enables / Disables the addon"],
					set = function(info,val) 
						if val == true then
							core:Enable()
						else
							core:Disable()
						end
					end,
					get = function(info) return core:IsEnabled() end
				},
			}
		
		}
	}
}