local folder, core = ...

-- Channeling spells. Add /stopmacro [channeling] to these buttons.
core.channelSpells = {
    -- Warlock
    [GetSpellInfo(689)] = 5, -- Drain Life
    [GetSpellInfo(1120)] = 5, -- Drain Soul
    [GetSpellInfo(5138)] = 5, -- Drain Mana
    [GetSpellInfo(5740)] = 4, -- Rain of Fire
    -- Druid
    [GetSpellInfo(740)] = 4, -- Tranquility
    [GetSpellInfo(16914)] = 10, -- Hurricane
    -- Priest
    [GetSpellInfo(15407)] = 3, -- Mind Flay
    [GetSpellInfo(48045)] = 5, -- Mind Sear
    [GetSpellInfo(47540)] = 2, -- Penance
    -- Mage
    [GetSpellInfo(10)] = 5, -- Blizzard
    [GetSpellInfo(5143)] = 5, -- Arcane Missiles
    [GetSpellInfo(12051)] = 4, -- Evocation
    -- Hunter
    [GetSpellInfo(1510)] = 6, -- Volley
}

--These spells use the mouse to target.
core.mouseTargeting = {
	[GetSpellInfo(5740)] = true, -- Rain of Fire
	[GetSpellInfo(32375)] = true, -- Mass Dispel
	[GetSpellInfo(10)] = true, -- Blizzard
	[GetSpellInfo(1510)] = true, -- Volley
}